Subject: 'current-guix' uses configure flags of Git checkout

From: Winter <[email-masked]>
Date: Sun, 5 Mar 2023 20:28:12 -0500

I've tried to dig deeper into this, but am stumped by an issue: editing 'build-aux/build-self.scm' isn't actually doing anything.

After applying this diff, the status message still prints out when running './pre-inst-env guix build -e "((@ (gnu packages package-management) current-guix))"':

diff --git a/build-aux/build-self.scm b/build-aux/build-self.scm
index 02822a2ee8..607a7ac0cd 100644
--- a/build-aux/build-self.scm
+++ b/build-aux/build-self.scm
@@ -461,8 +461,6 @@ files."
                                            (logior major minor))
                                           "none")
                                       node))))))
-        (format (current-error-port) "Computing Guix derivation for '~a'...  "
-                system)

         ;; Wait for a connection on SOCK and proxy build output so it can be
         ;; processed according to the settings currently in effect (build

However, (guix channels) is definitely reading build-self, as changing the path it reads it from to a nonexistent path causes the build to throw, as expected.

The same goes for if I edit any module except for some values in (guix config) -- 'current-guix' never gets rebuilt.

I'd appreciate any help in figuring this out.

Thanks,
Winter